[Spike 1hr] What technical problems do we need to fix from mobilefrontend - ENG
Closed, ResolvedPublic

Description

Description

Evaluate the accuracy of the statement: "Mobilefrontend is difficult to use and slows down development"

Acceptance criteria

  • Ping each engineer to identify the pain points of mobilefrontend in terms of difficulty, efficiency, and ease of building and maintaining features from their perspective (now in separate spikes)
  • Collect responses into a cohesive set of notes (a single document)
  • Schedule a meeting at the end of the sprint to review results and discuss

Results are in gdoc.

Related Objects

ovasileva updated the task description. (Show Details)Jan 25 2017, 5:52 PM
ovasileva triaged this task as High priority.Jan 26 2017, 12:16 PM
ovasileva moved this task from To Triage to Upcoming on the Readers-Web-Backlog board.
ovasileva renamed this task from [Spike] What problems are we trying to solve - ENG to [Spike] What problems are we trying to solve with mobilefrontend - ENG.Feb 2 2017, 5:13 PM
Jhernandez renamed this task from [Spike] What problems are we trying to solve with mobilefrontend - ENG to [Spike] What technical problems do we need to fix from mobilefrontend - ENG.Feb 2 2017, 5:15 PM
ovasileva updated the task description. (Show Details)Feb 2 2017, 5:18 PM
ovasileva renamed this task from [Spike] What technical problems do we need to fix from mobilefrontend - ENG to [Spike 7hrs] What technical problems do we need to fix from mobilefrontend - ENG.Feb 2 2017, 5:20 PM

Olga may break this into subtasks for each eng.

ovasileva renamed this task from [Spike 7hrs] What technical problems do we need to fix from mobilefrontend - ENG to [Spike 1hr] What technical problems do we need to fix from mobilefrontend - ENG.Feb 3 2017, 2:50 PM
ovasileva updated the task description. (Show Details)
bmansurov added a subscriber: Baharsound.
bmansurov updated the task description. (Show Details)Feb 14 2017, 9:09 PM

I've combined the results so far (my, @phuedx's, and @Jdlrobson's) and edited the description (rather than pasting as a comment so that others can also edit). I should note that I didn't see solutions for the problems identified by @Jdlrobson. @Jdlrobson would you please edit the description and add your suggested solutions if you have them?

Still waiting on results from @pmiazga and @Jhernandez.

And lastly, although there was some overlap in the identified problems, I didn't try to categorize them as I didn't want to generalize something that didn't belong to a certain category.

bmansurov updated the task description. (Show Details)Feb 14 2017, 10:03 PM

I've categorized and added Joaquin's results to the google doc.

Ping @ovasileva

What are the next steps with this?

@Jhernandez - I'm sending out a quick summary of the conversation from last week and next steps via email

ovasileva closed this task as Resolved.Feb 21 2017, 1:27 PM

that done, I think we're good to close.

bmansurov removed bmansurov as the assignee of this task.Feb 21 2017, 3:41 PM
bmansurov added a subscriber: bmansurov.